# Time series preparation[¶](https://doc.dataiku.com/dss/latest/time-series/time-series-preparation/index.html#time-series-preparation "Permalink to this headline")

Before using time series data for analysis or forecasting, it is often necessary to perform one or more preparation steps on the data.

For example, given time series data with missing or irregular timestamps, you may consider performing preparation steps such as resampling and interpolation. You may also want to perform smoothing, extrema extraction, or segmentation on the data.

## Time series preparation plugin[¶](https://doc.dataiku.com/dss/latest/time-series/time-series-preparation/index.html#time-series-preparation-plugin "Permalink to this headline")

Dataiku DSS provides a preparation plugin that includes visual recipes for performing the following operations on time series data:

* Resampling

* Windowing

* Extrema extraction

* Interval extraction

* Trend/seasonal decomposition

Note

The time series preparation plugin is fully supported by Dataiku.

### Plugin installation[¶](https://doc.dataiku.com/dss/latest/time-series/time-series-preparation/index.html#plugin-installation "Permalink to this headline")

You can install the time series preparation plugin (and other plugins) if you are a user with administrative privileges. See Installing plugins for more details.

Once the plugin is installed, users with normal privileges can view the plugin store and the list of installed plugins, and use any plugins installed on the Dataiku DSS instance. See Managing installed plugins for more details.

### Upgrade note[¶](https://doc.dataiku.com/dss/latest/time-series/time-series-preparation/index.html#upgrade-note "Permalink to this headline")

From its version 2.0.0, this plugin only supports Python 3.6. If you already installed the plugin and want to use its latest features, it should run on a Python 3.6 code-env.
