# DSS in the cloud[¶](https://doc.dataiku.com/dss/latest/cloud/index.html#dss-in-the-cloud "Permalink to this headline")

DSS can run fully in the cloud.

When running in the cloud, DSS features advanced integrations with the managed services of the cloud providers, allowing deployment of complex architectures in a fully managed fashion.

DSS has advanced support for:

* Amazon Web Services (AWS)

* Microsoft Azure

* Google Cloud Platform (GCP)

This section documents the various integration points, and provides some reference architectures for fully-managed cloud services

* DSS in AWS

+ Reference architecture: managed compute on EKS with Glue and Athena

- Overview

- Architecture diagram

- Security

- Main steps

* Prepare the instance

* Setup connectivity to AWS

* Install DSS

* Setup container configuration in DSS

* Setup Spark and Metastore in DSS

* Setup S3 connections

* Setup Athena connections

* Install EKS plugin

* Create your first cluster

* Use it

* DSS in Azure

+ Reference architecture: manage compute on AKS and storage on ADLS gen2

- Overview

- Security

- Main steps

* Prepare the instance

* Install DSS

* Setup containerized execution configuration in DSS

* Setup Spark and metastore in DSS

* Setup ADLS gen2 connections

* Install AKS plugin

* Create your first cluster

* Use your cluster

* DSS in GCP

+ Reference architecture: managed compute on GKE and storage on GCS

- Overview

- Security

- Main steps

* Prepare the instance

* Install DSS

* Setup containerized execution configuration in DSS

* Setup Spark and metastore in DSS

* Setup GCS connections

* Install GKE plugin

* Create your first cluster

* Use your cluster
