# Definitions[¶](https://doc.dataiku.com/dss/latest/governance/definitions.html#definitions "Permalink to this headline")

* Standard definitions

+ Business Initiatives

* Projects, Models, Model Versions and Bundles

* Advanced definitions

+ Artifacts, Blueprints and Blueprint Versions

## Standard definitions[¶](https://doc.dataiku.com/dss/latest/governance/definitions.html#standard-definitions "Permalink to this headline")

### Business Initiatives[¶](https://doc.dataiku.com/dss/latest/governance/definitions.html#business-initiatives "Permalink to this headline")

In Dataiku Govern, AI projects may be grouped into business initiatives. Business initiatives can be created in Govern and provide the ability to link multiple projects together based on shared business goals. Each project can be linked to one and only one business initiative while a business initiative can be used for many projects.

## Projects, Models, Model Versions and Bundles[¶](https://doc.dataiku.com/dss/latest/governance/definitions.html#projects-models-model-versions-and-bundles "Permalink to this headline")

The projects, models, model versions, and bundles are the same as in the rest of the Dataiku suite. From Dataiku Govern an extra layer of governance can be added to each project/model/model version/bundle, including specific attachments, definitions, metrics or workflows. Once this optional layer has been applied to projects, models, model versions or bundles, they are referred to as Governed Projects, Governed Models, Governed Model Versions and Governed Bundles.

## Advanced definitions[¶](https://doc.dataiku.com/dss/latest/governance/definitions.html#advanced-definitions "Permalink to this headline")

### Artifacts, Blueprints and Blueprint Versions[¶](https://doc.dataiku.com/dss/latest/governance/definitions.html#artifacts-blueprints-and-blueprint-versions "Permalink to this headline")

Artifacts are objects you will often encounter in Govern. They are essential because most of the actions in Govern are related to creating and managing collections of artifacts. An artifact is defined as an object with a fixed structure. They have properties for which values are either computed automatically or filled manually by users.

The structure of an artifact and its properties are defined by admins in a template called a blueprint version (learn more about that in the Blueprint designer).

Finally, blueprint versions which share the same purpose are gathered in a blueprint. Thus, a blueprint is simply a collection of blueprint versions.

The image below serves as an example of how artifacts, blueprints and blueprint versions may be used in Govern:
