# DSS 1.2 Relase notes[¶](https://doc.dataiku.com/dss/latest/release_notes/1.2.html#dss-1-2-relase-notes "Permalink to this headline")

## Version 1.2.4 - September 25th, 2014[¶](https://doc.dataiku.com/dss/latest/release_notes/1.2.html#version-1-2-4-september-25th-2014 "Permalink to this headline")

### Bug fixes[¶](https://doc.dataiku.com/dss/latest/release_notes/1.2.html#bug-fixes "Permalink to this headline")

#### Data preparation[¶](https://doc.dataiku.com/dss/latest/release_notes/1.2.html#data-preparation "Permalink to this headline")

* Fix filter returning invalid results on first call in some rare cases

* Added Indian holidays

* Fix an out of memory condition that could happen after several days of usage

* Fix overflow with long column names in “Remove columns” processor

* Fix caching issues for charts with Live Processing

#### Flow[¶](https://doc.dataiku.com/dss/latest/release_notes/1.2.html#flow "Permalink to this headline")

* Fix scrolling in recipe IO screens

* Hive recipes and notebooks can now use “pre-init” and “post-init” scripts to deal with authorization issues

* Fix date blacklist on non-UTC machines

* Fix failure of Hive recipes whenever an Avro dataset existed

* Add support for SQL schemas when syncing to Vertica

#### Notebooks[¶](https://doc.dataiku.com/dss/latest/release_notes/1.2.html#notebooks "Permalink to this headline")

* Fix scrolling issues

* Improve handling of logs for Hive

#### Modeling[¶](https://doc.dataiku.com/dss/latest/release_notes/1.2.html#modeling "Permalink to this headline")

* Fix the cutoff selector

## Version 1.2.3 - August 26th, 2014[¶](https://doc.dataiku.com/dss/latest/release_notes/1.2.html#version-1-2-3-august-26th-2014 "Permalink to this headline")

Please see the 1.2.0 release notes for information about migrations.

### New features[¶](https://doc.dataiku.com/dss/latest/release_notes/1.2.html#new-features "Permalink to this headline")

New processor to extract information about bank holidays, school holidays and weekends in several countries

### Enhancements[¶](https://doc.dataiku.com/dss/latest/release_notes/1.2.html#enhancements "Permalink to this headline")

Improved performance for prediction/scoring/clustering recipes

### Bug fixes[¶](https://doc.dataiku.com/dss/latest/release_notes/1.2.html#id1 "Permalink to this headline")

#### Core[¶](https://doc.dataiku.com/dss/latest/release_notes/1.2.html#core "Permalink to this headline")

* Fixed installation on CentOS following IUS repository location change

* Fixed SQL datasets when name contains some reserved keywords

* Fixed various scrolling issues

* Fixed Community Edition on OpenVZ machines

* Improve startup scripts

#### Data preparation and visualization[¶](https://doc.dataiku.com/dss/latest/release_notes/1.2.html#data-preparation-and-visualization "Permalink to this headline")

* Don’t use Live Processing charts for partitioned datasets

* Fixed “Analyse” in explore view for numerical columns containing NULL values

* Fixed Stemming option in Tokenizer processor

* Fixed Fuzzy matching when used in Recipe

#### Recipes/Flow[¶](https://doc.dataiku.com/dss/latest/release_notes/1.2.html#recipes-flow "Permalink to this headline")

* Fixed compatibility issues with Pig 0.13

* Fixed “View in Flow” in Chrome

* Fixed “Run” button in Recipes Actions

#### Machine Learning[¶](https://doc.dataiku.com/dss/latest/release_notes/1.2.html#machine-learning "Permalink to this headline")

* Fixed “Display outliers” in Clustering results scatter plot

## Version 1.2.2 - August 8th, 2014[¶](https://doc.dataiku.com/dss/latest/release_notes/1.2.html#version-1-2-2-august-8th-2014 "Permalink to this headline")

Please see the 1.2.0 release notes for information about migrations.

### Enhancements[¶](https://doc.dataiku.com/dss/latest/release_notes/1.2.html#id2 "Permalink to this headline")

* Prediction / Clustering scoring recipe works with datasets of any size.

* Added write\_dataframe in dataset writers.

### Bug fixes[¶](https://doc.dataiku.com/dss/latest/release_notes/1.2.html#id3 "Permalink to this headline")

* Fixed Hive script validator compatibility with Hive 0.13

* Fixed abnormally high UI memory usage in some cases.

* Fixed incorrect SQL types mapping (PostgreSQL/Vertica/Redshift).

* Fixed issue in SQL-backed charts when the Impala JDBC driver cannot be loaded.

* Fixed a bug preventing file selection in connection’s root folder (S3/HDFS).

* Fixed “raw values” numerical axis in charts.

* Unicode characters allowed in target values of prediction models.

* Worked around Pandas bug when loading large datasets.

* Fixed the profiling feature functionality in clustering.

* Scoring recipes append all columns to the output rather than only INPUT columns.

## Version 1.2.1 - July 29th, 2014[¶](https://doc.dataiku.com/dss/latest/release_notes/1.2.html#version-1-2-1-july-29th-2014 "Permalink to this headline")

Please see the 1.2.0 release notes for information about migrations.

### Bug fixes[¶](https://doc.dataiku.com/dss/latest/release_notes/1.2.html#id4 "Permalink to this headline")

* Fixed various UI issues.

* Fixed charts in exported project.

* Fixed various unicode issues in python & models.

* Cleanup temporary files generated by R recipes.

### Enhancements[¶](https://doc.dataiku.com/dss/latest/release_notes/1.2.html#id5 "Permalink to this headline")

* Switched to FreshDesk.

* Better support of Hive 0.13.

* Experimental Oracle and Sybase support.

* Improved support of MapR and CDH5.

* Dataiku’s Hive UDF jar is loaded in recipes and SQL notebooks by default.

## Version 1.2.0 - July 21st, 2014[¶](https://doc.dataiku.com/dss/latest/release_notes/1.2.html#version-1-2-0-july-21st-2014 "Permalink to this headline")

### Important notes about migration[¶](https://doc.dataiku.com/dss/latest/release_notes/1.2.html#important-notes-about-migration "Permalink to this headline")

The automatic data migration procedure is documented in Upgrading a DSS instance

As usual, we **strongly recommend** that you perform a full backup of your Data Science Studio data directory prior to starting the upgrade procedure.

Automatic migration of data from Data Science Studio 1.1.X is supported, with the following restrictions and warnings:

* Notebooks created from trained models using Impact Coding will not work anymore. Please remove the impact coding section.

* SQL identifiers are now quoted and case preserving across the studio. This can cause issues with pre-existing mixed-case tables and columns.

>

> If you have mixed-case managed SQL datasets, it is recommended to lowercase the table name in the dataset configuration to avoid another table being created

>

>

> If you have mixed-case column names, you might need to recompute your table

>

>

>

For migrations from Data Science Studio 1.0.X, please also see the release notes of version 1.1.0

### New features[¶](https://doc.dataiku.com/dss/latest/release_notes/1.2.html#id6 "Permalink to this headline")

Please also see our Blog Post for more information.

#### General[¶](https://doc.dataiku.com/dss/latest/release_notes/1.2.html#general "Permalink to this headline")

* DSS now features a free Community Edition which allows you to use the Studio without any time limit

* DSS now integrates a Scheduler for automatic builds of datasets. The scheduler leverages the incremental build support in order to just recompute and rebuild predictions on new data or data that has changed.

* Support for complex types in dataset schemas has been improved. Complex types (including nested maps, nested arrays, nested objects) will properly be represented in Hive, MongoDB, ElasticSearch and JSON

* Many non-fatal errors that can happen during processing a job are now reported in a “Warnings” tab at the end of a job, for easy verification of warnings

#### Insights[¶](https://doc.dataiku.com/dss/latest/release_notes/1.2.html#insights "Permalink to this headline")

* A whole new web app editor has been introduced. It features a much improved ergonomy, integrated code templates and snippets, and the ability to write custom Python-based backends for even more interactive webapps.

* Various improvements have been made on the pinboard visual appearance

* It is now possible to choose where to display the title of insights, and whether to display insight description

#### Data Preparation[¶](https://doc.dataiku.com/dss/latest/release_notes/1.2.html#id7 "Permalink to this headline")

* The date parser processor now supports multiple formats. Formats are tested in order until a matching format is found

* New processor : Geocoder, based on MapQuest or Bing API.

#### Machine Learning[¶](https://doc.dataiku.com/dss/latest/release_notes/1.2.html#id8 "Permalink to this headline")

* Multiclass classification has been introduced

* Some Machine Learning algorithms can take quite a long time to run. Data Science Studio now features integration with H2O, a distributed machine learning framework. This integration brings distributed implementations of a selected set of machine learning algorithms (Random Forest, Deep Learning, Gradient Boosting Methods).

#### Flow and recipes[¶](https://doc.dataiku.com/dss/latest/release_notes/1.2.html#flow-and-recipes "Permalink to this headline")

* A new “Sampling” recipe lets you create a dataset which is a sample extracted from an input dataset.

* The Python recipe now comes with a large number of fully documented code samples

#### Datasets and connection[¶](https://doc.dataiku.com/dss/latest/release_notes/1.2.html#datasets-and-connection "Permalink to this headline")

* New experimental support for Teradata

* Schemas are now supported in SQL databases. All parts of the Studio that deal with SQL tables are now schema-aware

* Support for Apache Cassandra datasets (both read and write, partitioned and unpartitioned)

#### Notebooks[¶](https://doc.dataiku.com/dss/latest/release_notes/1.2.html#id9 "Permalink to this headline")

The SQL / Hive / Impala notebook has been completely overhauled for better ergonomy

#### Visual analytics[¶](https://doc.dataiku.com/dss/latest/release_notes/1.2.html#visual-analytics "Permalink to this headline")

* Better information and choices to switch between internal DSS engine or native SQL engine for charts

* When performing Visualization on a HDFS dataset, if you use the whole dataset, and if Impala is installed, Impala will be used to compute the aggregations

* Charts based on SQL now support Greenplum and Redshift
