# DSS 1.3 Relase notes[¶](https://doc.dataiku.com/dss/latest/release_notes/1.3.html#dss-1-3-relase-notes "Permalink to this headline")

## Version 1.3.2 - November 12th, 2014[¶](https://doc.dataiku.com/dss/latest/release_notes/1.3.html#version-1-3-2-november-12th-2014 "Permalink to this headline")

For information about migration, please see the 1.3.0 release notes.

### Bug fixes[¶](https://doc.dataiku.com/dss/latest/release_notes/1.3.html#bug-fixes "Permalink to this headline")

#### Core[¶](https://doc.dataiku.com/dss/latest/release_notes/1.3.html#core "Permalink to this headline")

* Support for RH 6.6 and above, CentOS 6.6 and above

#### Datasets[¶](https://doc.dataiku.com/dss/latest/release_notes/1.3.html#datasets "Permalink to this headline")

* Fixed various issues with Cassandra datasets

#### Flow[¶](https://doc.dataiku.com/dss/latest/release_notes/1.3.html#flow "Permalink to this headline")

* Fixed UI for sliding\_days depednency

* Fixed ‘;’ splitting in Hive recipes

* Fixed handling of multi-dimension-partitioning in scheduler

* Fixed “explicit” rebuild of datasets

## Version 1.3.1 - October 27th, 2014[¶](https://doc.dataiku.com/dss/latest/release_notes/1.3.html#version-1-3-1-october-27th-2014 "Permalink to this headline")

For information about migration, please see the 1.3.0 release notes.

### Bug fixes[¶](https://doc.dataiku.com/dss/latest/release_notes/1.3.html#id1 "Permalink to this headline")

#### Datasets[¶](https://doc.dataiku.com/dss/latest/release_notes/1.3.html#id2 "Permalink to this headline")

* Fixed writing to S3 datasets when target data did not already exist

* Fixed writing CSV datasets with Unicode-encoded separators

#### Machine learning[¶](https://doc.dataiku.com/dss/latest/release_notes/1.3.html#machine-learning "Permalink to this headline")

* Fixed logistic regression in multiclass mode

* Fixed a target remapping issue that could lead to incomplete result screens for multiclass models with null values

* Fixed the ability to switch from regression to multiclass model

* Fixed the model comparison screen

#### Misc[¶](https://doc.dataiku.com/dss/latest/release_notes/1.3.html#misc "Permalink to this headline")

* Fixed sizing issue that could lead to unreadable categorical analysis on numerical columns

## Version 1.3.0 - October 23rd, 2014[¶](https://doc.dataiku.com/dss/latest/release_notes/1.3.html#version-1-3-0-october-23rd-2014 "Permalink to this headline")

### Important notes about migration[¶](https://doc.dataiku.com/dss/latest/release_notes/1.3.html#important-notes-about-migration "Permalink to this headline")

The automatic data migration procedure is documented in Upgrading a DSS instance

As usual, we **strongly recommend** that you perform a full backup of your Data Science Studio data directory prior to starting the upgrade procedure.

Automatic migration of data from Data Science Studio 1.2.X is supported, with the following restrictions and warnings:

* It is strongly recommended to retrain all machine learning models as new features have been added. Non-retrained models might fail to display or to be usable in scoring.

* JSON datasets now have built-in protections against huge files. You might need to tweak the nested arrays limits in the Dataset settings screen

* The old job logs are not available anymore in the UI after migrating. They are still available on disk, though.

For migrations from Data Science Studio 1.1.X, please also see the release notes of version 1.2.0

### New features[¶](https://doc.dataiku.com/dss/latest/release_notes/1.3.html#new-features "Permalink to this headline")

Please also see our Blog Post for more information.

#### General[¶](https://doc.dataiku.com/dss/latest/release_notes/1.3.html#general "Permalink to this headline")

* New R support

>

>

> 	+ R recipe to read and write datasets using our new R API.

> 	+ R notebook for interactive work

>

* Visual editor for complex types

#### Datasets and connection[¶](https://doc.dataiku.com/dss/latest/release_notes/1.3.html#datasets-and-connection "Permalink to this headline")

* DSS now has support for many new Hadoop-related formats

>

>

> 	+ Parquet

> 	+ Sequence File

> 	+ RC File

> 	+ ORC File

> All these can be used in Hive recipes, notebooks and (for some of them) Pig recipes and Impala notebooks

>

>

>

* Avro support has been greatly expanded and now supports nested complex types. Avro datasets can now be used for Hive recipes.

* Complex types are now properly preserved when writing to MongoDB.

#### Machine Learning[¶](https://doc.dataiku.com/dss/latest/release_notes/1.3.html#id3 "Permalink to this headline")

* We have introduced brand new clustering results screen. They will help you understand in much more details and with new visualizations what differenciates your clusters

* Support for Text features has been added. Text features are processed using the Bag of Words model.

* Random Forests models will now automatically adapt the number of trees to the optimal number.

* You can now write your own models in Python and use them in the visual interface

* Large performance enhancements for scoring recipes.

#### Flow and recipes[¶](https://doc.dataiku.com/dss/latest/release_notes/1.3.html#flow-and-recipes "Permalink to this headline")

* New “Preview” mode for jobs

>

>

> 	+ You can now see which datasets will be rebuilt and why

> 	+ You can disable some parts of a job if you want to ignore it

>

* You can now see which datasets are being built and have links to latest/current jobs from the Flow screen

* You can now edit schema and check consistency directly from the recipe screens

* New Time Range dependencies function brings much more flexibility for time partitioned datasets.

* You can now “write-protect” a dataset so that its already computed partitions are never automatically recomputed. This is especially useful for some slow recipes or when you use partitioning for historization.

* Python recipe can now read and write datasets of any size. Writing was previously limited by the size of the disk of the DSS host

#### Notebooks[¶](https://doc.dataiku.com/dss/latest/release_notes/1.3.html#notebooks "Permalink to this headline")

* New R notebook for interactive work on DSS datasets with R

* In IPython notebook, you can now request samples of the dataset. Only the sample will be loaded.

#### Insights[¶](https://doc.dataiku.com/dss/latest/release_notes/1.3.html#insights "Permalink to this headline")

* “Dataset” insights now feature preview of the dataset directly from within the Pinboard.

* New JS API for Web app insights. You can now request subsamples of the datasets from your Web apps.

### Enhancements[¶](https://doc.dataiku.com/dss/latest/release_notes/1.3.html#enhancements "Permalink to this headline")

#### Flow[¶](https://doc.dataiku.com/dss/latest/release_notes/1.3.html#id4 "Permalink to this headline")

* Better validation and checks on variable substitutions

### Major bugfixes[¶](https://doc.dataiku.com/dss/latest/release_notes/1.3.html#major-bugfixes "Permalink to this headline")

* Under certain circumstances, training recipes produced invalid results
