# Configure Security for Work with Personal Data[¶](https://knowledge.dataiku.com/latest/courses/governance/gdpr/configure-security.html#configure-security-for-work-with-personal-data "Permalink to this headline")

Although we have defined *privacy\_admin* and *privacy\_doc* to be our respective GDPR admin and documentation groups, we have not yet actually created those groups on the instance. Nor have we assigned any users to those groups.

Create those groups now.

* Continuing on an admin account, navigate to the **Security** tab of the administration tool, and then to the **Groups** panel.

* Click **+New Group**.

* Name the new group `privacy\_admin` and provide a description such as “Configure projects for work with personal data”.

* Then click **Save**.

There is no need to set any global permissions for this group, since its existence is simply to confer project administrator permissions related to privacy. A user’s other global permissions come from membership in other appropriate groups.

Note that it may be good practice to give `privacy\_admin` the “Create projects” permission, and only allow users with `privacy\_admin` to create projects on the instance.

* Create another group called `privacy\_doc` and provide a description such as “Document datasets with personal data”.

Now that we have created these two groups, we need to assign users to them. On the **Users** panel, assign at least one user to each of these newly-created privacy groups.

Note that the user assigned to the *privacy\_doc* group should have write access to the DSS project created below.

Note

Depending on your organization’s data governance strategy, it may be useful to create other **“privacy\_\*”** groups for users who will be given access to individual projects containing personal data, but not the authority to configure the project or dataset privacy settings.
