# Govern[¶](https://knowledge.dataiku.com/latest/courses/mlops/prod-concepts/govern-summary.html#govern "Permalink to this headline")

Tip

This content is also included in a free Dataiku Academy course on Production Concepts, which is part of the MLOps Practitioner learning path. Register for the course there if you’d like to track and validate your progress alongside concept videos, summaries, hands-on tutorials, and quizzes.

As organizations strive to efficiently and responsibly scale the use of AI, governance and program oversight become more critical than ever. Dataiku Govern offers a suite of features that give companies even more confidence and control over their AI initiatives.

## Standardized Project Workflows[¶](https://knowledge.dataiku.com/latest/courses/mlops/prod-concepts/govern-summary.html#standardized-project-workflows "Permalink to this headline")

**Govern** is the dedicated space in Dataiku that serves as a central watchtower over your AI portfolio. In a single view, you can review the inventory of projects and models across all your Dataiku design instances and determine which assets to govern explicitly.

Major business initiatives such as customer retention, fraud detection, or claims analysis often require multiple analyses and pipelines. To help organize these processes, you can group related Dataiku projects under the larger umbrella of a business initiative. This allows you to review overall program progress in one place.

As a project owner, you can document each governed project’s objectives, scope, and business use case, plus add business sponsors or relevant attachments. You can also complete a qualification assessment of each project’s value, risks, and feasibility.

## Approvals and Sign-Off[¶](https://knowledge.dataiku.com/latest/courses/mlops/prod-concepts/govern-summary.html#approvals-and-sign-off "Permalink to this headline")

To ensure proper approvals occur at various project stages, you can assign individuals from different departments to review the work.

For example, a reviewer can provide feedback about an ML model to a final approver, who must then sign off before any model version can be deployed to production. If a project contributor tries to deploy a model version to production without the appropriate validation and approvals, the action will be blocked. The user also will be prompted to request a review cycle and obtain proper sign-off.

As a project progresses through the development workflow, project managers also can add comments and mark finished stages as complete.

On the “Governed projects” page, you’ll find gauges that show the current status of many projects at a glance. A heat map plots multiple projects on risk and value dimensions. This enables you to easily compare projects to inform decisions about resource and investment prioritization across your organization’s entire AI portfolio.

## Central Model Registry[¶](https://knowledge.dataiku.com/latest/courses/mlops/prod-concepts/govern-summary.html#central-model-registry "Permalink to this headline")

You also can govern specific Dataiku models. The model registry is a central inventory of all your models, even those imported from outside Dataiku.

You’ll find links that trace back to the original project on the summary page.

You can govern models at a granular level. Dataiku tracks not only versions in production, but also the sub-workflows for potential challenger or replacement models that are still under development and review. Simply select a model version to review its creation date, status, and a full roster of performance and drift metrics.
